​
Select Service
ves-io-schema-virtual_k8s-API-List
Published April 5, 2023 | Last modified May 28, 2026
Examples of listing virtual_k8s
Usecase:
List virtual-k8s
Request using vesctl:
vesctl configuration list virtual_k8s --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: virtual-k8s-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 726f3e81-3f9d-4248-a37f-bff3809c75b1Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/virtual_k8ss'curl response
HTTP/1.1 200 OKContent-Length: 443Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:15 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "virtual-k8s-1", "uid": "726f3e81-3f9d-4248-a37f-bff3809c75b1", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}